Create Shipping Method
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyCreateShippingMethodrequiredDescription
- calculatorobjectrequired
- dynamicPropertiesobject
- idstring<uuid>DescriptionFormatuuid
- limitsLimitsDescription
- dimensionsDimensionsDescription
- widthnumber<double>requiredExampleDescriptionFormatdouble
- lengthnumber<double>requiredExampleDescriptionFormatdouble
- heightnumber<double>requiredExampleDescriptionFormatdouble
- unitstring<cm | m | in | mm>requiredExampleDescriptionAllowedcmminmm
- weightWeightDescription
- valuenumber<double>requiredExampleDescriptionFormatdouble
- unitstring<g | kg | lb>requiredExampleDescriptionAllowedgkglb
- mediamap<string, MediaValue>
- namestringrequired
- siteIdsstring[]required
- detailstring[]
- taxCodestring
Responses
201
- ShippingMethodDescription
- calculatorobjectrequired
- dynamicPropertiesobjectExample
{ "propertyName": "This is a dynamic property" }Description - idstring<uuid>requiredExampleDescriptionFormatuuid
- limitsLimitsDescription
- dimensionsDimensionsDescription
- widthnumber<double>requiredExampleDescriptionFormatdouble
- lengthnumber<double>requiredExampleDescriptionFormatdouble
- heightnumber<double>requiredExampleDescriptionFormatdouble
- unitstring<cm | m | in | mm>requiredExampleDescriptionAllowedcmminmm
- weightWeightDescription
- valuenumber<double>requiredExampleDescriptionFormatdouble
- unitstring<g | kg | lb>requiredExampleDescriptionAllowedgkglb
- mediamap<string, MediaValue>
- namestringrequiredExampleDescription
- siteIdsstring[]requiredDescription
- taxCodestringExampleDescription
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
- reasonstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"calculator": "",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"name": "",
"siteIds": []
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"calculator": "",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"name": "",
"siteIds": []
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/shipping-method", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/shipping-method")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"calculator": "",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"name": "",
"siteIds": []
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/shipping-method"
payload = json.dumps({
"calculator": "",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"name": "",
"siteIds": []
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Success-shipping method created.
{
"calculator": {},
"dynamicProperties": {},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"limits": {
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
},
"media": "",
"name": "Shipping Method One",
"siteIds": [
""
],
"taxCode": "12345"
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}500
// Internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}